import QtQuick 2.6

Rectangle {

    property PassedQmlObject pqo: PassedQmlObject {}

    Text {
        anchors.centerIn: parent
        text: "Async Loader (click me)"
        MouseArea {
            anchors.fill: parent
            onClicked: loader.setSource('qrc:/MyQmlObject.qml', { 'passedQmlObject': pqo})
        }
    }

    Loader {
        id: loader
        asynchronous: true
    }

}
